Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class Invoker

A helper class to invoke methods or extract properties on arbitrary Java objects dynamically. All methodes in this calss are deprecated!

author:
  James Strachan

version:
  $Revision: 9487 $

deprecated:

Field Summary
`def` | `EMPTY_ARGUMENTS`
`def` | `EMPTY_TYPES`
`MetaClassRegistry` | `metaRegistry`

Constructor Summary
`Invoker()`

Method Summary
`def` | `asArray(Object arguments)` Converts the given object into an array; if its an array then just cast otherwise wrap it in an array
`def` | `asUnwrappedArray(Object arguments)`
`Object` | `getAttribute(Object object, String attribute)` Looks up the given attribute (field) on the given object
`MetaClass` | `getMetaClass(Object object)`
`MetaClassRegistry` | `getMetaRegistry()`
`Closure` | `getMethodPointer(Object object, String methodName)` Returns the method pointer for the given object name
`Object` | `getProperty(Object object, String property)` Looks up the given property of the given object
`Object` | `invokeConstructorOf(Class type, Object arguments)`
`Object` | `invokeMethod(Object object, String methodName, Object arguments)` Invokes the given method on the object.
`Object` | `invokePogoMethod(Object object, String methodName, Object arguments)`
`Object` | `invokePojoMethod(Object object, String methodName, Object arguments)`
`Object` | `invokeStaticMethod(Class type, String method, Object arguments)`
`Object` | `invokeSuperMethod(Object object, String methodName, Object arguments)`
`void` | `removeMetaClass(Class clazz)`
`void` | `setAttribute(Object object, String attribute, Object newValue)` Sets the given attribute (field) on the given object
`void` | `setProperty(Object object, String property, Object newValue)` Sets the property on the given object

Constructor Detail

### Invoker

    Invoker()

Method Detail

### asArray

    public def asArray(Object arguments)

  Converts the given object into an array; if its an array then just cast otherwise wrap it in an array
  deprecated:

### asUnwrappedArray

    public def asUnwrappedArray(Object arguments)

  deprecated:

### getAttribute

    public Object getAttribute(Object object, String attribute)

  Looks up the given attribute (field) on the given object
  deprecated:

### getMetaClass

    public MetaClass getMetaClass(Object object)

  deprecated:

### getMetaRegistry

    public MetaClassRegistry getMetaRegistry()

  deprecated:

### getMethodPointer

    public Closure getMethodPointer(Object object, String methodName)

  Returns the method pointer for the given object name
  deprecated:

### getProperty

    public Object getProperty(Object object, String property)

  Looks up the given property of the given object
  deprecated:

### invokeConstructorOf

    public Object invokeConstructorOf(Class type, Object arguments)

  deprecated:

### invokeMethod

    public Object invokeMethod(Object object, String methodName, Object arguments)

  Invokes the given method on the object.
  deprecated:

### invokePogoMethod

    Object invokePogoMethod(Object object, String methodName, Object arguments)

### invokePojoMethod

    Object invokePojoMethod(Object object, String methodName, Object arguments)

### invokeStaticMethod

    public Object invokeStaticMethod(Class type, String method, Object arguments)

  deprecated:

### invokeSuperMethod

    public Object invokeSuperMethod(Object object, String methodName, Object arguments)

  deprecated:

### removeMetaClass

    public void removeMetaClass(Class clazz)

  deprecated:

### setAttribute

    public void setAttribute(Object object, String attribute, Object newValue)

  Sets the given attribute (field) on the given object
  deprecated:

### setProperty

    public void setProperty(Object object, String property, Object newValue)

  Sets the property on the given object
  deprecated: